### Method

# Ide DebuggerBreakpoint set_file

#### Declaration

    void
    ide_debugger_breakpoint_set_file (
      IdeDebuggerBreakpoint* self,
      const gchar* file
    )

#### Description

Sets the file that contains the breakpoint, if any.

Available since: | 3.32

Sets property | `Ide.DebuggerBreakpoint:file`

#### Parameters

`file` | `const gchar*`
| The file containing the breakpoint, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.